Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums on April 1st. BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com


Reply
Developer
Posts: 53
Registered: ‎02-22-2011
My Device: Blackberry Torch 9800
My Carrier: The one I'm on
Accepted Solution

Spark Component Properties not accepted when going from Burrito to Official release (4.5)

Hey Guys,

 
Since my trial version of burrito expired I decided to purchase a copy of Flash Builder 4.5. Unfortunately I've had problems moving my mobile flex app from my Burrito build environment to my new Flash Builder 4.5 environment. I've done the -swf-version = 10, -forceAirVersion 2.5 and added playbook_overide.swf to my build path. I then had to change the mobileapplication to a ViewNavigationApplication, it then complained about the <appname>_app.xml <application xmlns="http://ns.adobe.com/air/application/2.5"> so I changed it to <application xmlns="http://ns.adobe.com/air/application/2.6">, I don't think that was correct as my understanding was that the overide process was suppose to remove the dependency on 2.6.

 

In any case the issue I'm more concerned with as it affect the majority of my UI is the following:

 

The style 'contentBackgroundColor' is only supported by type 'spark.components.NumericStepper' with the theme(s) 'spark'.

 

I'm getting the above for various spark components such as text boxes, buttons, etc

 

Here's an example of that numerical stepper that's causing problems

 

<s:NumericStepper id="stepper" x="114" y="43" height="51"
  textAlign="center" value="1" borderColor="#000000"
  chromeColor="#1116B3" contentBackgroundColor="#7222C7"/>

 

Has anyone encountered this issue or know of a fix?

 

Thanks in advance

David

Twitter: dmbproduction
Playbook App: Food Journal
Highlighted
Developer
Posts: 53
Registered: ‎02-22-2011
My Device: Blackberry Torch 9800
My Carrier: The one I'm on

Re: Spark Component Properties not accepted when going from Burrito to Official release (4.5)

I think I solved this issue it turns out that there are both a mobile spark theme and a spark theme, setting your mobile flex project to the "Spark" theme does not seem to allow you to assign the properties to the spark components. However if you use the "Mobile Spark" theme all the errors dissapear and this is no longer an issue.

 

One thing to note, moving from Burrito to 4.5 did change the look of of my spark components.

 

Hope this save others some time!

 

Cheers,

David

Twitter: dmbproduction
Playbook App: Food Journal